API reference

Split Configuration Groups API

Get list of split configuration groups

GET /api/v1/split-configuration-groups

Optional URL Query Parameters

  • name (string): The name of the split configuration group.
  • status (string): Status or a comma-separated list of statuses.
  • settlementType (string): The settlement type. Either "NET" or "GROSS".
  • pspMerchantAccountName (string): The name of the parent Adyen merchant account.

Response

{
    "status": "ok",
    "data": {
        "rows": [
            {
                "id": "SPT7M57KD8364",
                "name": "NZ Defaut Fee Group",
                "pspMerchantAccountName": "RocketParts_ECOMM_NZ_TEST",
                "status": "ACTIVE",
                "settlementType": "NET",
                "isDefault": true,
                "createdAt": "2026-03-30T19:17:41.233Z",
                "updatedAt": "2026-03-30T19:17:41.297Z"
            }
        ],
        "pagination": {
            "pageIndex": 0,
            "pageSize": 50,
            "pageCount": 1,
            "total": 1,
            "hasPrevPage": false,
            "hasNextPage": false
        }
    }
}
Previous
Reporting